Bug 865820 - When running remote command with group that does not exist, rhn_check reports Internal Server Error occurring
When running remote command with group that does not exist, rhn_check reports...
Status: CLOSED DEFERRED
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
550
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jan Pazdziora
Red Hat Satellite QA List
:
Depends On:
Blocks: 462714
  Show dependency treegraph
 
Reported: 2012-10-12 10:17 EDT by Jan Pazdziora
Modified: 2015-05-29 16:10 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-05-29 16:10:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Pazdziora 2012-10-12 10:17:21 EDT
Description of problem:

When remote command is executed with group (or user) that don't exist, rhn-check -vv reports

D: do_call script.run (1220, {'username': 'root', 'groupname': 'root-', 'now': '2012-10-13 08:01:59', 'timeout': 600, 'script': '#!/bin/sh\n'}) {'cache_only': None}
D: Sending back response (1, 'No such group root-', {'output': ''})
An error has occurred:
Internal Server Error
See /var/log/up2date for more information

From that point on, no other action gets picked up for that system because the action in question is not marked as finished -- subsequent rhn_check will pick the same action and fail with the same error.

Version-Release number of selected component (if applicable):

Satellite 5.5.

How reproducible:

Deterministic.

Steps to Reproduce:
1. Schedule a remote command on Satellite's WebUI. Put in a group that does not exists on the client to the Run as group field.
2. Run rhn_check -vv on the client.

Actual results:

D: do_call script.run (1220, {'username': 'root', 'groupname': 'root-', 'now': '2012-10-13 08:01:59', 'timeout': 600, 'script': '#!/bin/sh\n'}) {'cache_only': None}
D: Sending back response (1, 'No such group root-', {'output': ''})
An error has occurred:
Internal Server Error
See /var/log/up2date for more information

Expected results:

D: do_call script.run (1220, {'username': 'root', 'groupname': 'root-', 'now': '2012-10-13 08:01:59', 'timeout': 600, 'script': '#!/bin/sh\n'}) {'cache_only': None}
D: Sending back response (1, 'No such group root-', {'output': ''})
D: do_call packages.checkNeedUpdate ('rhnsd=1',) {}

Additional info:

The error in /var/log/httpd/error_log on the Satellite says

[Fri Oct 12 15:53:34 2012] [error] Traceback (most recent call last):
[Fri Oct 12 15:53:34 2012] [error]   File "/usr/lib/python2.6/site-packages/spacewalk/server/apacheRequest.py", line 122, in call_function
[Fri Oct 12 15:53:34 2012] [error]     response = apply(func, params)
[Fri Oct 12 15:53:34 2012] [error]   File "/usr/share/rhn/server/handlers/xmlrpc/queue.py", line 470, in submit
[Fri Oct 12 15:53:34 2012] [error]     action_type=action_type)
[Fri Oct 12 15:53:34 2012] [error]   File "/usr/share/rhn/server/handlers/xmlrpc/queue.py", line 515, in process_extra_data
[Fri Oct 12 15:53:34 2012] [error]     result = method(self.server_id, action_id, data=data)
[Fri Oct 12 15:53:34 2012] [error]   File "/usr/lib/python2.6/site-packages/spacewalk/server/action_extra_data/script.py", line 84, in run
[Fri Oct 12 15:53:34 2012] [error]     output=output
[Fri Oct 12 15:53:34 2012] [error]   File "/usr/lib/python2.6/site-packages/spacewalk/server/rhnSQL/sql_base.py", line 163, in execute
[Fri Oct 12 15:53:34 2012] [error]     return apply(self._execute_wrapper, (self._execute, ) + p, kw)
[Fri Oct 12 15:53:34 2012] [error]   File "/usr/lib/python2.6/site-packages/spacewalk/server/rhnSQL/driver_cx_Oracle.py", line 108, in _execute_wrapper
[Fri Oct 12 15:53:34 2012] [error]     retval = apply(function, p, kw)
[Fri Oct 12 15:53:34 2012] [error]   File "/usr/lib/python2.6/site-packages/spacewalk/server/rhnSQL/sql_base.py", line 217, in _execute
[Fri Oct 12 15:53:34 2012] [error]     return self._execute_(args, kwargs)
[Fri Oct 12 15:53:34 2012] [error]   File "/usr/lib/python2.6/site-packages/spacewalk/server/rhnSQL/driver_cx_Oracle.py", line 161, in _execute_
[Fri Oct 12 15:53:34 2012] [error]     self._real_cursor.execute(*(None, ), **params)
[Fri Oct 12 15:53:34 2012] [error] SQLError: (1400, 'ORA-01400: cannot insert NULL into ("RHNSAT"."RHNSERVERACTIONSCRIPTRESULT"."START_DATE")\\n', "insert into rhnServerActionScriptResult ( server_id, action_script_id, output, start_date, stop_date, return_code ) values ( :server_id, (select ascript.id from rhnActionScript ascript where ascript.action_id = :action_id), empty_blob(), TO_DATE(:process_start, 'YYYY-MM-DD HH24:MI:SS'), TO_DATE(:process_end, 'YYYY-MM-DD HH24:MI:SS'), :return_code) returning output into :output_blob")

Note You need to log in before you can comment on or make changes to this bug.